View Issue Details

IDProjectCategoryView StatusLast Update
0030497RunnerFunctionsPublic2019-02-28 10:37
ReporterStewart BishopAssigned ToMike Rennie 
PriorityHighSeverityA - Crash/HangReproducibility100%
Status ClosedResolutionFixed 
PlatformHTML5OSOS Version
Product Version2.2.2 
Target Version2.2.2Fixed in Version2.2.2 
Summary0030497: HTML5: ini_key_delete() causes an exception to occur
DescriptionUsing the sample code from the manual:

ini_open("savedata.ini");
ini_write_real("save1","Score",score);
ini_key_delete("save1","Score");
ini_close();

The game will cause an exception to occur on 2.2.1, and in 2.2.2 your game will just end instantly.
Steps To Reproduce1) Create a project
2) Within room creation code add the above code snippet
3) Run it on HTML5
4) See that this fails
TagsNo tags attached.
1.4 Found In
2.x Runtime Found In2.2.2.302
2.x Runtime Verified In2.2.2.311

Activities

Mike Rennie

2019-02-07 14:15

Developer   ~0062676

Fixed in gitlab

Dan

2019-02-25 14:10

Adminstrator   ~0063325

Runtime 309+

Matthew McInnes

2019-02-28 10:37

Developer   ~0063384

Closing. Verified as fixed in:

IDE v2.2.2.396 Runtime v2.2.2.311